// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//

import document from "document";
import * as C from "../common/constants";
import { logger } from "../common/utils";
import * as utils from "../common/utils";

let V;
let O;

let names = [ "Busy",       "Meeting",
              "Doctor",     "Dentist",
              "Breakfast",  "Lunch",
              "Dinner",     "Party"
];

export function init(_V, _O)
{

  V = _V;
  O = _O;

  utils.text_btn("um_btn", "Busy IDs", "fb-white", "fb-blue", (btn) => {
    utils.bounce("set_event", V, O);
  });

  utils.image_btn("ul_btn", "icons/up_btn.png", (btn) => {
    new_page(-1);
  });
  utils.show_btn("ul_btn", false);
  utils.image_btn("ur_btn", "icons/down_btn.png", (btn) => {
    new_page(1);
  });
  utils.show_btn("ur_btn", false);

  new_page(0);

  return false;
}

function new_page(dir)
{

  for (let i = 0; i < 8; ++i) {
    utils.text_btn("busy-" + i, names[i], undefined, undefined, (btn) => {
      O.name = names[i];
      utils.bounce("set_event", V, O);
    });
  }
}
