// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//

import document from "document";
import { logger } from "../common/utils";
import * as utils from "../common/utils";
import * as names from "../common/names";

let V;
let P;
let C;

export function init(_V)
{
  let btn, txt;


  V = _V;
  C = V.G.C;
  P = V.G.P;

  utils.scr_init("Select TZ", V);
  utils.image_btn("ul_btn", "icons/left_btn.png", (btn) => {
    utils.bounce("config1", V);
  });
  
  txt = document.getElementById("cfg_time1_text");
  txt.text = "TZ1 - " + names.get_info(P.tz1, C).name; 
  btn = document.getElementById("cfg_time1");
  btn.addEventListener("click", (evt) => {
    utils.bounce("cfg_time", V, { tile: C.TZ_TILE1 });
  })

  txt = document.getElementById("cfg_time2_text");
  txt.text = "TZ2 - " + names.get_info(P.tz2, C).name;
  btn = document.getElementById("cfg_time2");
  btn.addEventListener("click", (evt) => {
    utils.bounce("cfg_time", V, { tile: C.TZ_TILE2 });
  })

  let d = new Date();
  document.getElementById("gmt").text = d;
  document.getElementById("moon").text = "Lunar day " + utils.lunar_day(d);

  return false;
}
