// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//

import document from "document";
import { logger } from "../common/utils";
import * as utils from "../common/utils";
import * as names from "../common/names";

let V;
let P;
let C;

var table_no;

var hi;
var max;
var lineno = 0;
var line = [];

export function init(_V, _O)
{
  var btn;

  V = _V;
  C = V.G.C;
  P = V.G.P;

  utils.scr_init("", V);

  utils.text_btn("u_btn", "Select City", "fb-white", "fb-blue", (btn) => {
    utils.bounce("cfg_select", V);
  });

  utils.image_btn("ul_btn", "icons/up.png", (btn) => {
    if (lineno >= 5)
      lineno -= 5;
    sh_page();
  });

  utils.image_btn("ur_btn", "icons/down.png", (btn) => {
    if (lineno < (max - 5))
      lineno += 5;
    sh_page();
  });

  for (let i = 0; i < 5; i++) {
    line[i] = { name: document.getElementById("name" + i), bg: document.getElementById("name" + i + "_bg")};
    btn = document.getElementById("name" + i + "_touch");
    btn.addEventListener("click", (evt) => {
      let idx = tz_index(i + lineno);
      let info = names.get_info(idx, C);
      if (info.tz != C.TZ_HEADER) {
        if (table_no == C.TZ_TILE1)
          P.tz1 = idx;
        else
          P.tz2 = idx;
        utils.prefs_save(P);
        hi = idx;
        sh_page();
      }
    })
  }

  table_no = _O.tile;
  let pre = 2;
  hi = (table_no == C.TZ_TILE1) ? P.tz1 : P.tz2;
  max = pre + names.get_max();
  lineno = (hi < 0) ? 0 : (parseInt((pre + hi)/5) * 5);
  sh_page();

  return false;
}

function tz_index(idx)
{

  let spec = 2;
  if (idx >= spec)
    return idx - spec;
  switch (idx) {

  case 0:
    return table_no == C.TZ_TILE1 ? C.TZ_LOCAL1 : C.TZ_NONE2;

  case 1:
    return table_no == C.TZ_TILE1 ? C.TZ_CUSTOM1 : C.TZ_CUSTOM2;

  case 2:
    return C.TZ_TIMER;

  }
  return 0;
}

function get_bg(idx, info)
{

  if (info.tz == -2)
    return "blue";
  return (idx == hi) ? "grey" : "black";
}

function sh_page()
{
  var info;
  var idx;

  for (let i = 0; i < 5; i++) {
    idx = tz_index(i + lineno);
    info = names.get_info(idx, C);
    if (info) {
      line[i].name.text = info.name;
      line[i].bg.style.fill = get_bg(idx, info);
    } else {
      line[i].name.text = "";
      line[i].bg.style.fill = "black";
    }
  }
}
