// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//

import document from "document";
import { logger } from "../common/utils";
import * as utils from "../common/utils";

let V;
let P;
let C;

let tz_scr;
var tz_index;

export function init(_V)
{

  V = _V;
  C = V.G.C;
  P = V.G.P;

  utils.scr_init("Custom TZ", V);

  utils.image_btn("ur_btn", "icons/right_btn.png", (btn) => {
    utils.bounce("config1", V);
  });

  utils.text_btn("cfg_tz1", "TZ1", "fb-yellow", "fb-red", (btn) => {
    utils.bounce("get_time", V, {
                                caller: "config2",
                                no_digs: 4,
                                off: P.custom_tz1 * 60,
                                save: save1
                              });
  });

  utils.text_btn("cfg_tz2", "TZ2", "fb-yellow", "fb-red", (btn) => {
    utils.bounce("get_time", V, {
                                caller: "config2",
                                no_digs: 4,
                                off: P.custom_tz2 * 60,
                                save: save2
                              });
  });

  utils.label_btn("cfg_tz1", "TZ1: " + utils.min2str(P.custom_tz1, true), "yellow");
  utils.label_btn("cfg_tz2", "TZ2: " + utils.min2str(P.custom_tz2, true), "yellow");

  //
  // rotation direction
  //
  let cfg_rotate = document.getElementById("cfg_rotate");
  cfg_rotate.image = (P.rotation > 0) ? "icons/cw.png" : "icons/ccw.png";
  cfg_rotate.addEventListener("click", (evt) => {
    P.rotation = (P.rotation > 0) ? -1 : 1;
    cfg_rotate.image = (P.rotation > 0) ? "icons/cw.png" : "icons/ccw.png";
    utils.prefs_save(P);
  })

  return false;
}

function save(idx, off)
{

  off /= 60;
  if (idx == C.TZ_CUST1_IDX)
    P.custom_tz1 = off;
  else
    P.custom_tz2 = off;
  utils.prefs_save(P);
}

function save1(offset)
{

  save(C.TZ_CUST1_IDX, offset);
}

function save2(offset)
{

  save(C.TZ_CUST2_IDX, offset);
}
