import display from "display";
import views from "./views";
import Constants from "../common/Constants";
import Prefs from "../common/Prefs";

/**
 * Definition for each view in the resources/views folder, and the associated
 * JavaScript module is lazily loaded alongside its view.
 */
let sdk = views.init({
    'bounce':   () => import("./bounce"),
    'face_sdk4':   () => import("./face_sdk4"),
    'face_sdk5':   () => import("./face_sdk5"),
    'flashlight':   () => import("./flashlight"),
    'calendar_sdk4': () => import("./calendar_sdk4"),
    'calendar_sdk5': () => import("./calendar_sdk5"),
    'month': () => import("./month"),
    'event': () => import("./event"),
    'set_event': () => import("./set_event"),
    'busy_ids': () => import("./busy_ids"),
    'config1': () => import("./config1"),
    'config2': () => import("./config2"),
    'get_time': () => import("./get_time"),
    'cfg_select': () => import("./cfg_select"),
    'cfg_time': () => import("./cfg_time"),
    'timer': () => import("./timer"),
    'laps': () => import("./laps"),
});
views.G.sdk = sdk;
views.G.ev_date = new Date();

views.G.P = new Prefs();
views.G.C = new Constants();

views.G.T = {       // timer controls
  enable: false,
  running: false,
  mode: 0,         // C.TIMER_UP
  laps: [],
  lapn: 0,
  laps_ma: 0,
  laps_ticks: 0,
  itime: 0,
  stime: 0,
  etime: 0
};

display.addEventListener("change", (evt) =>
{

  if (views.G.flashlight) {
    //logger("turn display on");
    display.on = true;
  }
})

views.replace("face_%");
