// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//

import document from "document";
import { logger } from "../common/utils";
import * as utils from "../common/utils";
import * as names from "../common/names";

let V;
let T;

var lineno = 0;
var line = [];

export function init(_V)
{
  var btn, svg;

  V = _V;
  T = V.G.T;

  utils.scr_init("", V);

  for (let i = 0; i < 5; i++) {
    svg = document.getElementById("lap-" + i);
    line[i] = {svg: svg,
               name: svg.getElementById("name"),
               value: svg.getElementById("value")};
  }

  utils.text_btn("u_btn", "Laps", "fb-white", "fb-blue", (btn) => {
    utils.bounce("timer", V);
  });

  utils.image_btn("ul_btn", "icons/up.png", (btn) => {
    if (lineno >= 5)
      lineno -= 5;
    sh_page();
  });

  utils.image_btn("ur_btn", "icons/down.png", (btn) => {
    if (lineno < (T.laps_max - 4))
      lineno += 5;
    sh_page();
  });

  T.laps_max = T.laps.length - 1;
  lineno = 0;
  sh_page();

  return false;
}

function sh_page()
{
  var l, n, v;
  var idx;

  let max = T.running ? T.laps_max - 1 : T.laps_max;
  for (let i = 0; i < 5; i++) {
    l = line[i];
    idx = i + lineno;
    if (idx <= max) {
      v = utils.milli2str(T.laps[idx], true);
      n = "" + (idx + 1);
      l.name.text = (idx == T.laps_max) ? "Time" : n;
      l.value.text = v;
      l.svg.style.display = "inline";
    } else
      l.svg.style.display = "none";
  }
}
