// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//

import document from "document";
import { logger } from "../common/utils";
import * as utils from "../common/utils";

let year;
let month;

export function init(_V, _O)
{

  utils.text_btn("um_btn", "New Month", "fb-white", "fb-blue", (btn) => {
    utils.bounce("calendar_%", _V, { date: new Date(year, month, 1) });
  });
  year = _O.date.getFullYear();
  month = _O.date.getMonth();

  utils.text_btn("lm_btn", "Now", "fb-white", "fb-blue", (btn) => {
    let now = new Date();
    year = now.getFullYear();
    month = now.getMonth();
    show();
  });

  utils.image_btn("yr-l", "icons/left_btn.png", (btn) => {
    new_year(-1);
  });
  utils.image_btn("yr-r", "icons/right_btn.png", (btn) => {
    new_year(1);
  });

  utils.image_btn("mo-l", "icons/left_btn.png", (btn) => {
    new_month(-1);
  });
  utils.image_btn("mo-r", "icons/right_btn.png", (btn) => {
    new_month(1);
  });

  show();

  return false;
}

function show()
{

  let txt = document.getElementById("yr");
  txt.text = "" + year;
  txt = document.getElementById("mo");
  txt.text = utils.m_name(month);
}

function new_year(inc)
{

  year += inc;
  show();
}

function new_month(inc)
{

  month += inc;
  if (month > 11) {
    year += 1;
    month = 0;
  } else if (month < 0) {
    year -= 1;
    month = 11;
  }
  show();
}
