// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import * as fs from "fs";

class Prefs {

constructor()
{

  this.tz1 = -4;
  this.tz2 = -2;
  this.custom_tz1 = 0;
  this.custom_tz2 = 0;
  this.rotation = 1;
  this.ampm = 2;
  this.hr24 = 0;

  try {
    let json = fs.readFileSync("prefs.txt", "json");
    this.tz1 = json.tz1;
    this.tz2 = json.tz2;
    // Note, TZ_TIMER = -5, NONE2 = -2
    if (this.tz2 == -5)
      this.tz2 = -2;
    this.rotation = json.rotation;
    this.custom_tz1 = json.custom_tz1;
    this.custom_tz2 = json.custom_tz2;
    this.ampm = json.ampm;
    this.hr24 = json.hr24;
  } catch(e) {
    console.log("fs read error, using defaults - " + e);
    return;
  }
}

}

export default Prefs;

