// SPDX-License-Identifier: GPL-3.0
//
// Copyright (C) 2019, Donald Dugger
//
import * as fs from "fs";
import * as C from "../common/constants.js";
import { logger } from "../common/utils";
import * as utils from "../common/utils";
import * as zone_max from "../common/zone_max";

let page = "";
let zone_obj;

export function get_info(idx, C)
{
  switch (idx) {

  case -5:
    return { name: "Chrono", tz: C.TZ_TIMER_IDX };

  case -4:
    return { name: "Local", tz: 0 };

  case -3:
    return { name: "Custom 1", tz: C.TZ_CUST1_IDX };

  case -2:
    return { name: "None", tz: C.TZ_NONE };

  case -1:
    return { name: "Custom 2", tz: C.TZ_CUST2_IDX };

  default:
    idx += 2;
    if (idx < zone_max.max)
      return zone_get(idx);
    return undefined;

  }
}

// utils.numPad(parseInt(d/10), "0")
function zone_get(idx)
{

  let i = parseInt(idx / 5);
  let p = utils.numPad(i, "0");
  if (p != page) {
    page = p;
    zone_obj  = fs.readFileSync("/mnt/assets/resources/zones/" + p + ".json", "json");
  }
  idx -= i * 5;
  return zone_obj[idx];
}

export function get_max()
{

  return zone_max.max - 2;
}
